Loading...
Searching...
No Matches
refract.c File Reference

A collection of refraction models and utilities to use with novas_app_to_hor() or novas_hor_to_app(). More...

## Macros

#define | NOVAS_DEFAULT_WAVELENGTH 0.55
| [μm] Median wavelength of visible light.

## Functions

double | novas_inv_refract (RefractionModel model, double jd_tt, const on_surface *restrict loc, enum novas_refraction_type type, double el0)
| Computes the reverse atmospheric refraction for a given refraction model.
double | novas_optical_refraction (double jd_tt, const on_surface *loc, enum novas_refraction_type type, double el)
| Returns an optical refraction correction using the weather parameters defined for the observer location.
double | novas_radio_refraction (double jd_tt, const on_surface *loc, enum novas_refraction_type type, double el)
| Atmospheric refraction model for radio wavelengths (Berman & Rockwell 1976).
int | novas_refract_wavelength (double microns)
| Sets the observing wavelength for which refraction is to be calculated when using a wavelength-depenendent model, such as novas_wave_refraction().
double | novas_standard_refraction (double jd_tt, const on_surface *loc, enum novas_refraction_type type, double el)
| Returns an optical refraction correction for a standard atmosphere.
double | novas_wave_refraction (double jd_tt, const on_surface *loc, enum novas_refraction_type type, double el)
| The wavelength-dependent IAU atmospheric refraction model, based on the SOFA iauRefco() function, in compliance to the 'SOFA Software License' terms of the original source.
double | refract (const on_surface *restrict location, enum novas_refraction_model model, double zd_obs)
| Computes atmospheric optical refraction for an observed (already refracted!) zenith distance through the atmosphere.
double | refract_astro (const on_surface *restrict location, enum novas_refraction_model model, double zd_astro)
| Computes atmospheric optical refraction for a source at an astrometric zenith distance (e.g.

## Detailed Description

A collection of refraction models and utilities to use with novas_app_to_hor() or novas_hor_to_app().

Date
  Created on Jun 27, 2024

Author
  Attila Kovacs and G. Kaplan

See also
  novas_app_to_hor(), novas_hor_to_app()